> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post message channels

> Creates a `MessageChannel` objects.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml post /message-channels
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /message-channels:
    post:
      tags:
        - message-channels
      description: Creates a `MessageChannel` objects.
      operationId: create_message_channel
      requestBody:
        description: The `MessageChannel` object to be created.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMessageChannelInfo'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageChannel'
          description: The message channel that was created.
      security:
        - BearerAuth: []
components:
  schemas:
    CreateMessageChannelInfo:
      description: >-
        # CreateMessageChannelInfo Object

        ### Description

        The `CreateMessageChannelInfo` object is used to describe the message
        channel object to be created.
      example:
        third_party_provider: SLACK
        remote_id: C03FJR97276
      properties:
        third_party_provider:
          $ref: '#/components/schemas/MessageChannelProviderEnum'
        remote_id:
          description: The remote ID of the message channel
          example: C03FJR97276
          type: string
      type: object
      required:
        - third_party_provider
        - remote_id
    MessageChannel:
      description: |-
        # MessageChannel Object
        ### Description
        The `MessageChannel` object is used to represent a message channel.

        ### Usage Example
        Update a groups message channel from the `UPDATE Groups` endpoint.
      example:
        message_channel_id: 6670617d-e72a-47f5-a84c-693817ab4860
        third_party_provider: SLACK
        remote_id: C03FJR97276
        name: api-team-audit-channel
        is_private: false
      properties:
        message_channel_id:
          description: The ID of the message channel.
          example: 6670617d-e72a-47f5-a84c-693817ab4860
          format: uuid
          type: string
        third_party_provider:
          $ref: '#/components/schemas/MessageChannelProviderEnum'
        remote_id:
          description: The remote ID of the message channel
          example: C03FJR97276
          type: string
        name:
          description: The name of the message channel.
          example: api-team-audit-channel
          type: string
        is_private:
          description: A bool representing whether or not the message channel is private.
          example: false
          type: boolean
      type: object
      required:
        - message_channel_id
    MessageChannelProviderEnum:
      description: The third party provider of the message channel.
      enum:
        - SLACK
      example: SLACK
      type: string
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````